Skip to main content
GET
/
sessions
/
{session_id}
/
rdp-detections
Get RDP session PII detections
curl --request GET \
  --url https://use.hoop.dev/api/sessions/{session_id}/rdp-detections
import requests

url = "https://use.hoop.dev/api/sessions/{session_id}/rdp-detections"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://use.hoop.dev/api/sessions/{session_id}/rdp-detections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "analysis": {
    "attempt": 123,
    "finished_at": "<string>",
    "last_error": "<string>",
    "max_attempts": 123,
    "started_at": "<string>",
    "status": "<string>"
  },
  "analysis_status": "<string>",
  "detections": [
    {
      "entity_type": "<string>",
      "frame_index": 123,
      "height": 123,
      "score": 123,
      "timestamp": 123,
      "width": 123,
      "x": 123,
      "y": 123
    }
  ],
  "total": 123
}
{
"message": "the error description"
}
{
"message": "the error description"
}
{
"message": "the error description"
}
{
"message": "the error description"
}

Path Parameters

session_id
string
required

The id of the session

Response

OK

analysis
object
analysis_status
string

AnalysisStatus is preserved for backwards compatibility with older webapp builds; new code should read .Analysis.Status.

detections
object[]
total
integer